Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83696 - vim should read /etc for local system-wide defaults
Summary: vim should read /etc for local system-wide defaults
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-07 05:37 UTC by Danny Sung
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-01 14:36:30 UTC


Attachments (Terms of Use)
Just a small patch to have vim read /etc/vimrc and /usr/local/etc/vimrc (deleted)
2003-02-07 05:39 UTC, Danny Sung
no flags Details | Diff

Description Danny Sung 2003-02-07 05:37:57 UTC
it'd be nice if vim would read /etc/vimrc and /usr/local/etc vimrc for
additional settings.  (Ideally /etc/vim.d, perhaps in so that applications could
possibily incorporate their own vim settings (eg. for their own file formats)).

Comment 1 Danny Sung 2003-02-07 05:39:55 UTC
Created attachment 89921 [details]
Just a small patch to have vim read /etc/vimrc and /usr/local/etc/vimrc

it'll test if those files exist before trying to source them.


Note You need to log in before you can comment on or make changes to this bug.